Welcome, Guest
Username: Password: Remember me

TOPIC: Comfortupdate insufficient

Comfortupdate insufficient 1 year 7 months ago #84972

  • EmilBB
  • EmilBB's Avatar
  • OFFLINE
  • Fresh Lemon
  • Posts: 6
  • Karma: 0
Hello guys,

What a great piece of software - been using it happily the last 1 1/2 years, love it! Donated twice because I'm so fond of it.

However, when trying to update my limesurvey from version 1.91+ Build 12416 to the newest, using the ComfortUpdater, I get an error message.


My installation is in Danish, and I can't for the life of me figure out how to change the language of the surveyprogram itself - this makes troubleshooting harder, since it's the the *exact* phrase but rather my translation of the Danish version. It goes like this:

fileversion cannot be written (/var/www/clients/client1/web14/web/version.php). Please set filepermissions.

This is written in red. Just above this, it says, in green, "updating respondentkey: valid", so that's fine I guess.

Our IT-admin says that he doesn't know which permissions Limesurvey needs in order to resolve this issue. Maybe you can help?

It's located on a apache server:
Apache/2.2.9 (Debian) DAV/2 PHP/5.2.6-1+lenny16 with Suhosin-Patch mod_ruby/1.2.6
Ruby/1.8.7(2008-08-11) mod_ssl/2.2.9 OpenSSL/0.9.8g

This might be useful as well (?):
PHP/5.2.6-1+lenny16


Thanks alot! I hope that I have supplied an adequate description of the problem, I know that you guys do this to help, without charging or anything.
Last Edit: 1 year 7 months ago by EmilBB.
The administrator has disabled public write access.

Re: Comfortupdate insufficient 1 year 7 months ago #85122

  • EmilBB
  • EmilBB's Avatar
  • OFFLINE
  • Fresh Lemon
  • Posts: 6
  • Karma: 0
*Bump* - nobody has experienced this problem?
The administrator has disabled public write access.

Re: Comfortupdate insufficient 1 year 7 months ago #85200

  • DenisChenu
  • DenisChenu's Avatar
  • OFFLINE
  • Moderator Lime
  • Posts: 5866
  • Thank you received: 718
  • Karma: 222
Hello,
 fileversion cannot be written (/var/www/clients/client1/web14/web/version.php). Please set filepermissions.

When doing Comfort Update: LS need RW access on all fle and RWX on directory.

Comfort update can write on all files off your installation, then need to write to whole installation.

Our IT-admin says that he doesn't know which permissions Limesurvey needs in order to resolve this issue. Maybe you can help?
...
Update file => RW permission ....

But you can do manual upfate if you want.

Denis
The administrator has disabled public write access.
Moderators: ITEd
Time to create page: 0.141 seconds
Donation Image